## org.eclipse.m2m.atl.adt.ui.text.atl
Class LastSaveComparator

    java.lang.Object
      org.eclipse.m2m.atl.adt.ui.text.atl.LastSaveComparator

    public class LastSaveComparator

extends java.lang.Object

It compares the current input of an editor with the last saved input.

Constructor Summary
`LastSaveComparator(AtlEditor editor)` Constructor.

Method Summary
`int[]` `current2savePosition(int[] current)` Gets the save position for the current position.
`void` `markAsSave()` Marks the last saved input.
`int[]` `save2currentPosition(int[] save)` Gets the current position for the save position.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LastSaveComparator

    public LastSaveComparator(AtlEditor editor)

  Constructor.

  Parameters:
    `editor` - is the editor to compare

Method Detail

### markAsSave

    public void markAsSave()

  Marks the last saved input.

### save2currentPosition

    public int[] save2currentPosition(int[] save)

  Gets the current position for the save position.

  Parameters:
    `save` - is the save position
  Returns:
    the current position

### current2savePosition

    public int[] current2savePosition(int[] current)

  Gets the save position for the current position.

  Parameters:
    `current` - is the current position
  Returns:
    the save position

Copyright 2007 IBM Corporation and others. All Rights Reserved.